Not working on ST 3 / OS X

Issue #2 new
Anonymous created an issue

Installed through Package Manager, configured with Preferences Editor like this:

{
    "email_account_default_identity": "Name <user@host.tld>",
    "email_account_default_identities": "Name2 <user2@host2.tld>",
    "email_account_default_imap": "imaps://user:pw@host:port",
    "email_account_default_smtp": "smtps://user:pw@host:port",
    "email_accounts":
    [
        "user@host.tld" // or just "user"
    ]
}

Any of the 3 Panel options to send/write email, give the same output:

From   : [Error: E-Mail not configured, please configure email_accounts]
To     : 
Cc     : 
Bcc    : 
Attach :
Subject: 

And console outputs:

[E-Mail] No identity configured for: user@host.tld

I'd love to try this one but the console output is not helpful.

Comments (3)

  1. Kay-Uwe (Kiwi) Lorenz repo owner

    Hi Pedro,

    please set:

    "email_accounts": ["default"]
    

    This must be the list of <name>s, used in email_account_<name>_identity.

    Identities you may leave an empty list.

    I will review README file, if this is stated clearly.

    Best Regards, Kiwi

  2. Anonymous

    Thanks, Kay-Uwe, I got it now, default is just a placeholder. OK, I got it working but now, when trying to send email I get this in the console when "Sending as Mail":

    [E-Mail] No signature configured for D
    [E-Mail] No signature configured for a
    [E-Mail] No signature configured for m
    [E-Mail] Skipping ambigious identity: 'a', also used in default configuration
    ...
    Traceback (most recent call last):
      File "E-Mail in /Users/Damazio/Library/Application Support/Sublime Text 3/Installed Packages/E-Mail.sublime-package", line 432, in run
      File "X/smtplib.py", line 633, in login
    smtplib.SMTPAuthenticationError: (535, b'Incorrect authentication data')
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/Applications/Sublime Text.app/Contents/MacOS/sublime_plugin.py", line 526, in run_
        return self.run()
      File "E-Mail in /Users/Damazio/Library/Application Support/Sublime Text 3/Installed Packages/E-Mail.sublime-package", line 434, in run
    NameError: global name 'host' is not defined
    

    When "Sending as Attachment":

    [E-Mail] No signature configured for Damazio <...>
    ...
    Traceback (most recent call last):
      File "/Applications/Sublime Text.app/Contents/MacOS/sublime_plugin.py", line 526, in run_
        return self.run()
      File "E-Mail in /Users/Damazio/Library/Application Support/Sublime Text 3/Installed Packages/E-Mail.sublime-package", line 366, in run
      File "X/encodings/ascii.py", line 26, in decode
    UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 1833: ordinal not in range(128)
    

    And when "Writing Mail":

    Traceback (most recent call last):
      File "E-Mail in /Users/Damazio/Library/Application Support/Sublime Text 3/Installed Packages/E-Mail.sublime-package", line 432, in run
      File "X/smtplib.py", line 633, in login
    smtplib.SMTPAuthenticationError: (535, b'Incorrect authentication data')
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/Applications/Sublime Text.app/Contents/MacOS/sublime_plugin.py", line 526, in run_
        return self.run()
      File "E-Mail in /Users/Damazio/Library/Application Support/Sublime Text 3/Installed Packages/E-Mail.sublime-package", line 434, in run
    NameError: global name 'host' is not defined
    

    The above is using smtp or smpts on ports 25 or 465. When using another SMTP server on port 2525 I got this:

    Traceback (most recent call last):
      File "/Applications/Sublime Text.app/Contents/MacOS/sublime_plugin.py", line 526, in run_
        return self.run()
      File "E-Mail in /Users/Damazio/Library/Application Support/Sublime Text 3/Installed Packages/E-Mail.sublime-package", line 418, in run
      File "X/smtplib.py", line 872, in __init__
      File "X/smtplib.py", line 238, in __init__
      File "X/smtplib.py", line 317, in connect
      File "X/smtplib.py", line 882, in _get_socket
      File "X/ssl.py", line 599, in wrap_socket
      File "X/ssl.py", line 310, in __init__
      File "X/ssl.py", line 306, in __init__
      File "X/ssl.py", line 513, in do_handshake
    ssl.SSLError: [SSL: UNKNOWN_PROTOCOL] unknown protocol (_ssl.c:547)
    

    My servers are in the form of domain.tld for both SMTP and IMAP and not smtp.domain.tld and imap.domain.tld, if that matters at all.

  3. Log in to comment